ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dominique Devienne <DDevie...@lgc.com>
Subject RE: Selector
Date Wed, 19 Mar 2003 19:11:41 GMT
You probably have either a PATH problem or a ANT_HOME one, pointing to an
older version of Ant (pre-selector, like 1.4.1). --DD

-----Original Message-----
From: Narayanan, Gopalakrishnan [mailto:gnaray@exchange.ml.com] 
Sent: Wednesday, March 19, 2003 1:09 PM
To: 'ant-user@jakarta.apache.org'
Subject: Selector

I was running ANT 1.5.1 under jdk 1.3.1.Everything was working fine until I
had to install jdk 1.4 in my machine.Now the same build file fails with the
message even after reverting to jdk 1.3.1.I am
not sure if this is related to JDK version because the error seems to say
that "selector" element is not permissible under project.


BUILD FAILED

C:\build\build.xml:4: Unexpected element "selector"
	at org.apache.tools.ant.ProjectHelper.parse(ProjectHelper.java:135)
	at
org.apache.tools.ant.ProjectHelper.configureProject(ProjectHelper.java:85)
	at org.apache.tools.ant.Main.runBuild(Main.java:439)
	at org.apache.tools.ant.Main.start(Main.java:153)
	at org.apache.tools.ant.Main.main(Main.java:176)

Total time: 2 seconds

The relevant part in the build.xml file is

<project name="test" default="createCCLabel">

	<!-- Docbank Servlets -->
	<selector id="docBANK.selector.servlet.classes" >
		<filename name="**/servlet/**" />		
	</selector>
	....


Any help would be appreciated.


---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org

Mime
View raw message